# Speck

Test tools on top of [Vows](http://vowsjs.org).

## Installation

    npm install speck

## Features

* Client for high-level HTTPServer/API testing
* Macros for high-level HTTPServer/API testing

## Example

Usage of the http test client.

    var http = require( 'http' );
    var Klient = require( 'speck' ).Klient;
    var client = new( Klient )({
      host: 'localhost',
      port: 1337,
      server: http.createServer( function ( req, res ) {
        res.writeHead( 200, { content-type: 'text/plain' });
        res.end( 'Ok' );
      })
    });

    // all HTTP verbs return a promise object which inherits from EventEmitter 
    var promise = client.get({ path: '/' });

    // emits error event to be Vows promise compliant
    promise.on( 'error', function ( err ) {
      throw err;
    });

    // emits success event to be Vows promise compliant
    promise.on( 'success', function ( response ) {
      // node ServerResponse object which has an extra body property
      console.dir( response );
    });

## Running Tests

    vows --spec

Actively tested with node:

* 0.4.4

## License

(The MIT License)

Copyright (c) 2011 Alexander Simmerl <a.simmerl@googlemail.com>

Permission is hereby granted, free of charge, to any person obtaining a copy of this software and associated documentation files (the 'Software'), to deal in the Software without restriction, including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED 'AS IS', WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
