/**
 * Module imports
 */
var vows    = require( 'vows' );
var assert  = require( 'assert' );

/**
 * Module exports
 */
exports.isBuffer = isBuffer;

/**
 * `assert` extensions
 */
assert.isBuffer = isBuffer;

/**
 * `Buffer` instance assertion
 *
 * @api public
 * @type {Function}
 * @param {Object} actual Object to assert against
 * @param {String} message Custom assertion message
 *
 * Examples:
 *
 *      assert.isBuffer( new( Buffer ), '{actual} is not a Buffer' );
 */
function isBuffer ( actual, message ) {
  if ( !( actual instanceof Buffer ) ) {
    assert.instanceOf( actual, Buffer, message || 'expected {actual} to be an instance of Buffer', 'instanceof', assert.instanceOf );
  }
}

